org.richfaces.component.html

## Class HtmlComponentControl

- java.lang.Object
- - javax.faces.component.UIComponent
  - - javax.faces.component.UIComponentBase
    - - org.richfaces.component.UIComponentControl
      - - org.richfaces.component.html.HtmlComponentControl

- All Implemented Interfaces:
    javax.faces.component.StateHolder, org.ajax4jsf.component.AjaxSupport

      public class HtmlComponentControl
      extends UIComponentControl

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `COMPONENT_FAMILY`
    `static java.lang.String` | `COMPONENT_TYPE`

    - ### Fields inherited from class javax.faces.component.UIComponent

      `bindings`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `HtmlComponentControl()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getAttachTiming()`
    `java.lang.String` | `getAttachTo()`
    `java.lang.String` | `getEvent()`
    `java.lang.String` | `getFamily()`
    `java.lang.String` | `getFor()`
    `java.lang.String` | `getName()`
    `java.lang.String` | `getOnsubmit()`
    `java.lang.String` | `getOperation()`
    `java.lang.String` | `getParams()`
    `void` | `restoreState(javax.faces.context.FacesContext context, java.lang.Object state)`
    `java.lang.Object` | `saveState(javax.faces.context.FacesContext context)`
    `void` | `setAttachTiming(java.lang.String _attachTiming)`
    `void` | `setAttachTo(java.lang.String _attachTo)`
    `void` | `setEvent(java.lang.String _event)`
    `void` | `setFor(java.lang.String _for)`
    `void` | `setName(java.lang.String _name)`
    `void` | `setOnsubmit(java.lang.String _onsubmit)`
    `void` | `setOperation(java.lang.String _operation)`
    `void` | `setParams(java.lang.String _params)`

    - ### Methods inherited from class org.richfaces.component.UIComponentControl

      `getEncodedParametersMap, getEventString, isDisableDefault, replaceClientIds, setDisableDefault, setParent, setParentProperties`

    - ### Methods inherited from class javax.faces.component.UIComponentBase

      `addFacesListener, broadcast, decode, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientId, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, invokeOnComponent, isRendered, isTransient, processDecodes, processRestoreState, processSaveState, processUpdates, processValidators, queueEvent, removeFacesListener, restoreAttachedState, saveAttachedState, setId, setRendered, setRendererType, setTransient, setValueBinding`

    - ### Methods inherited from class javax.faces.component.UIComponent

      `encodeAll, getContainerClientId, getValueExpression, setValueExpression`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### COMPONENT_FAMILY

          public static final java.lang.String COMPONENT_FAMILY

      See Also:
        Constant Field Values

    - #### COMPONENT_TYPE

          public static final java.lang.String COMPONENT_TYPE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### HtmlComponentControl

          public HtmlComponentControl()

  - ### Method Detail

    - #### getAttachTiming

          public java.lang.String getAttachTiming()

      Specified by:
        `getAttachTiming` in class `UIComponentControl`

    - #### setAttachTiming

          public void setAttachTiming(java.lang.String _attachTiming)

      Specified by:
        `setAttachTiming` in class `UIComponentControl`

    - #### getAttachTo

          public java.lang.String getAttachTo()

      Specified by:
        `getAttachTo` in class `UIComponentControl`

    - #### setAttachTo

          public void setAttachTo(java.lang.String _attachTo)

      Specified by:
        `setAttachTo` in class `UIComponentControl`

    - #### getEvent

          public java.lang.String getEvent()

      Specified by:
        `getEvent` in interface `org.ajax4jsf.component.AjaxSupport`
      Specified by:
        `getEvent` in class `UIComponentControl`

    - #### setEvent

          public void setEvent(java.lang.String _event)

      Specified by:
        `setEvent` in interface `org.ajax4jsf.component.AjaxSupport`
      Specified by:
        `setEvent` in class `UIComponentControl`

    - #### getFor

          public java.lang.String getFor()

      Specified by:
        `getFor` in class `UIComponentControl`

    - #### setFor

          public void setFor(java.lang.String _for)

      Specified by:
        `setFor` in class `UIComponentControl`

    - #### getName

          public java.lang.String getName()

      Specified by:
        `getName` in class `UIComponentControl`

    - #### setName

          public void setName(java.lang.String _name)

      Specified by:
        `setName` in class `UIComponentControl`

    - #### getOnsubmit

          public java.lang.String getOnsubmit()

    - #### setOnsubmit

          public void setOnsubmit(java.lang.String _onsubmit)

    - #### getOperation

          public java.lang.String getOperation()

      Specified by:
        `getOperation` in class `UIComponentControl`

    - #### setOperation

          public void setOperation(java.lang.String _operation)

      Specified by:
        `setOperation` in class `UIComponentControl`

    - #### getParams

          public java.lang.String getParams()

      Specified by:
        `getParams` in class `UIComponentControl`

    - #### setParams

          public void setParams(java.lang.String _params)

      Specified by:
        `setParams` in class `UIComponentControl`

    - #### getFamily

          public java.lang.String getFamily()

      Specified by:
        `getFamily` in class `javax.faces.component.UIComponent`

    - #### saveState

          public java.lang.Object saveState(javax.faces.context.FacesContext context)

      Specified by:
        `saveState` in interface `javax.faces.component.StateHolder`
      Overrides:
        `saveState` in class `UIComponentControl`

    - #### restoreState

          public void restoreState(javax.faces.context.FacesContext context,
                          java.lang.Object state)

      Specified by:
        `restoreState` in interface `javax.faces.component.StateHolder`
      Overrides:
        `restoreState` in class `UIComponentControl`

Copyright © 2014. All Rights Reserved.